2

Eroor in web3ReactProvider getting this error while consuming the web3provider, Did the same configuration as per the tutorial.

2
  • Please clarify your specific problem or provide additional details to highlight exactly what you need. As it's currently written, it's hard to tell exactly what you're asking. Commented Apr 25, 2023 at 9:33
  • Can you share the code that causes the issue? What version of web3 were you using? Any other detail could be useful.
    – Ismael
    Commented Apr 26, 2023 at 2:26

2 Answers 2

2

Please downgrade your version @web3-react/core. I just changed my web3-react/core to 6.1.9 and it's worked

1
  • 2
    this answer would be better if you specify why this is a fix. Commented Apr 25, 2023 at 11:05
0

You're probably on v8 but using the old v6 wrapper like <Web3ReactProvider getLibrary={getLibrary}> but in v8 you need to define your wrapper like <Web3ReactProvider connectors={connectors}> where 'connectors' is an array of your initialized connectors like :

const connectors = [
  [metaMask, metaMaskHooks],
  [walletConnectV2, walletConnectV2Hooks],
  [coinbaseWallet, coinbaseWalletHooks],
];

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.